"{ Package: 'stx:libtool' }"

LibraryDefinition subclass:#stx_libtool
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects *'
!


!stx_libtool class methodsFor:'description'!

classNamesAndAttributes
    ^ #(
	"/ <className> or (<className> attributes...)
	'AboutBox'
	'AbstractDirectoryBrowser'
	'AbstractFileApplicationNoteBookComponent'
	'AbstractFileBrowser'
	'AbstractLauncherApplication'
	('AbstractRevisionItem' #autoload)
	'AbstractSettingsApplication'
	('AbstractVersionDiffBrowserItem' #autoload)
	('ApplicationBuilder' #autoload)
	'BrowserView'
	'ChangeSetBrowser'
	'ChangesBrowser'
	('ClassInspectorView' #autoload)
	('ClassItem' #autoload)
	('ClassItemRoot' #autoload)
	('ClassItemRootForRevision' #autoload)
	('ClassNameItem' #autoload)
	('ClassRevisionTree' #autoload)
	('ClassVariablesInspectorView' #autoload)
	'CodeGeneratorTool'
	('ColorInspectorView' #autoload)
	'ContextInspectorView'
	'DebugView'
	'DictionaryInspectorView'
	('Diff3TextView' #autoload)
	'DiffTextView'
	'DirectoryContentsBrowser'
	'DirectoryTreeBrowser'
	('EWorldIconLibrary' #autoload)
	('EventMonitor' #autoload)
	('ExpandableRevisionItem' #autoload)
	'FileApplicationNoteBook'
	'FileBrowser'
	'FileBrowserV2'
	'FileBrowserV2PanelView'
	('FileBrowserV2SettingsAppl' #autoload)
	('FileBrowserV2SettingsDialog' #autoload)
	('FileBrowserV2Tests' #autoload)
	'FileBrowserV2UISpecifications'
	'FileDialog'
	('FileDialogV2' #autoload)
	'FileOperation'
	'FilenameEditFieldV2'
	'FindFileApplication'
	'GenericToolbarIconLibrary'
	('HierarchicalClassRevisionList' #autoload)
	('HierarchicalVersionDiffBrowser' #autoload)
	('ImageInspectorView' #autoload)
	'InspectorView'
	('Launcher' #autoload)
	('LibraryBuilder' #autoload)
	('MemoryMonitor' #autoload)
	('MemoryMonitorView' #autoload)
	('MemoryUsageView' #autoload)
	'MultiViewToolApplication'
	('NewChangesBrowser' #autoload)
	'NewLauncher'
	('OldLauncher' #autoload)
	'OrderedCollectionInspectorView'
	('ProcessMonitor' #autoload)
	'ProcessMonitorV2'
	('ProjectView' #autoload)
	('RCSConflictEditTextView' #autoload)
	('SemaphoreMonitor' #autoload)
	'SetInspectorView'
	'SettingsDialog'
	('SmalltalkInspectorView' #autoload)
	('SourceRevisionItem' #autoload)
	'SystemBrowser'
	('SystemStatusMonitor' #autoload)
	('TerminalApplication' #autoload)
	'Tools::BrowserList'
	'Tools::CheckinInfoDialog'
	'Tools::ClassCategoryList'
	'Tools::ClassChecker'
	'Tools::ClassGeneratorList'
	'Tools::ClassList'
	'Tools::FullMethodCategoryList'
	'Tools::HierarchicalClassCategoryList'
	'Tools::HierarchicalClassList'
	'Tools::HierarchicalProjectList'
	'Tools::ImplementingClassList'
	'Tools::ImplementingMethodList'
	'Tools::InheritanceClassList'
	'Tools::MethodCategoryCache'
	'Tools::MethodCategoryList'
	'Tools::MethodList'
	'Tools::NamespaceList'
	'Tools::NavigationState'
	'Tools::NavigatorCanvas'
	'Tools::NavigatorModel'
	'Tools::NewSystemBrowser'
	'Tools::OrganizerCanvas'
	'Tools::ProjectList'
	'Tools::SearchDialog'
	'Tools::SpecialCodeView'
	'Tools::VariableList'
	'VersionDiffBrowser'
	('VersionRevisionItem' #autoload)
	('ViewWithAcceptAndCancelBar' #autoload)
	'WorkspaceApplication'
	'XPToolbarIconLibrary'
	'stx_libtool'
    )
!

extensionMethodNames
    ^ #(
    )
!

subProjects
    ^ #(
)
! !

!stx_libtool class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Tools'
!

fileDescription
    "Return a description string which will appear in <lib>.rc"

    ^ 'Smalltalk/X Tools Class Library'

    "Created: / 22-08-2006 / 23:28:07 / cg"
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2006\nCopyright eXept Software AG 1998-2006'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libtool class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libtool/stx_libtool.st,v 1.2 2006-08-24 21:14:06 cg Exp $'
! !
